Skip to main content
POST
/
2025-04
/
retail-media
/
line-items
/
{id}
/
keywords
/
add-remove
/2025-04/retail-media/line-items/{id}/keywords/add-remove
curl --request POST \
  --url https://api.criteo.com/2025-04/retail-media/line-items/{id}/keywords/add-remove \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "keywords": [
        {
          "isDeleted": true,
          "phrase": "<string>"
        }
      ]
    },
    "id": "<string>",
    "type": "<string>"
  }
}
'
{
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "status": 123,
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "status": 123,
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

ID of the line item

Body

application/json

Request object to add or remove keywords from a line item

data
object

Resource object containing keywords to be added or removed from a line item

Response

200 - application/json

Success

Outcome object containing errors and warnings.

errors
object[] | null
read-only
warnings
object[] | null
read-only